/******************************************************************************
   File:
      COUNTER.H

   Purpose:
      Structs and functions related to keeping track of the timers

   $Revision: 1.4 $
   $Header: F:\devel\pilot\clock/RCS/counter.h,v 1.4 1997/09/07 19:11:25 eshayne Exp $
   $Log: counter.h,v $
 * Revision 1.4  1997/09/07  19:11:25  eshayne
 * added GNU Public License to source files
 *
 * Revision 1.3  1997/09/01  19:09:39  eshayne
 * added popup/beep when time is out for one player
 *
 * Revision 1.2  1997/09/01  16:08:30  eshayne
 * added Fischer time
 *
 * Revision 1.1  1997/09/01  14:43:04  eshayne
 * Initial revision
 *

    Chess Timer
    Copyright (C) 1997  Ethan Shayne

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

******************************************************************************/

#ifndef ES_COUNTER_H
#define ES_COUNTER_H

#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>


struct TimeCounter {
  int miMinutes;
  int miSeconds;
};


Boolean DecrementCounter(struct TimeCounter* pCounter);
void IncrementCounter(struct TimeCounter* pCounter,
		      const unsigned long ulAddition);
Boolean UpdateTimer(unsigned long* pulNextTick,
		    struct TimeCounter* pCounter1,
		    FieldPtr pMinutesField,
		    FieldPtr pSecondsField);
void DrawTimer(struct TimeCounter* pCounter,
	       FieldPtr pMinutesField,
	       FieldPtr pSecondsField);


#endif
